> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 外链明细

> 获取指向域名或页面的外链列表。

# 外链明细

按权重从高到低列出指向某个站点或页面的每一条外链。每条外链包含来源页面和标题、指向的页面、锚文本、链接类型、是否 dofollow 和 rel 属性，链接本身、来源页面和来源域名的权威分，垃圾分数，链接在页面中的位置，以及首次和最近一次发现的时间。可以用来审查自己的外链、拆解竞品最有分量的外链，或者找值得去争取链接的页面。

```json theme={"dark"}
{
  "target": "notion.so",
  "results_limit": 100
}
```

通过 target 提供域名、子域名或页面链接。results\_limit 默认 100，可填 1–1000 之间的整数。每次请求收取 10 积分查询基础费，每返回一条外链再加 0.02 积分。

## 标准结果字段

任务结果使用下方稳定的 SocQ 字段。系统会统一来源特有的字段名和格式，但不会推断或补充来源未提供的数据。如需缩小返回字段集合，MCP 查询使用 `fields`，Typed 工具使用 `_result_fields`，CLI 使用 `--result-fields`。声明字段的值为 `null` 时仍会保留。

| 字段 | 类型 | 可空 | 说明 |
| - | - | - | - |
| `id` | `string` | 是 | 外链的标识，由来源页面、目标页面和锚文本生成。 |
| `platform` | `string` | 否 | 结果所属的平台，例如 `instagram` 或 `linkedin`。 |
| `resource` | `string` | 否 | 该结果对应的 SocQ 资源，例如 `videos` 或 `comments`。 |
| `type` | `string` | 否 | 结果项的类别，例如 `video`、`post` 或 `comment`。 |
| `url` | `string` | 是 | 包含该链接的页面地址。 |
| `published_at` | `string` | 是 | 源内容的发布时间（如可获得），使用 ISO 8601 格式。 |
| `collected_at` | `string` | 否 | SocQ 采集或处理该结果的时间，使用 ISO 8601 格式。 |
| `source_url` | `string` | 是 | 包含该链接的页面地址。 |
| `source_domain` | `string` | 是 | 包含该链接的页面所属域名。 |
| `source_title` | `string` | 是 | 包含该链接的页面标题。 |
| `target_url` | `string` | 是 | 链接指向的地址。 |
| `anchor` | `string` | 是 | 链接的锚文本。 |
| `link_type` | `string` | 是 | 链接类型，例如 `anchor`、`image`、`redirect` 或 `canonical`。 |
| `is_dofollow` | `boolean` | 是 | 该链接是否为传递排名权重的 dofollow 链接。 |
| `attributes` | `array<string>` | 是 | 链接上的 rel 属性，例如 `nofollow` 或 `ugc`。 |
| `rank` | `integer` | 是 | 该外链的权威分，取值 0 到 1000。 |
| `source_page_rank` | `integer` | 是 | 来源页面的权威分，取值 0 到 1000。 |
| `source_domain_rank` | `integer` | 是 | 来源域名的权威分，取值 0 到 1000。 |
| `spam_score` | `integer` | 是 | 垃圾分数，取值 0 到 100，越高说明垃圾特征越多。 |
| `semantic_location` | `string` | 是 | 链接在页面中所处的区域，例如 `article`、`nav` 或 `footer`。 |
| `language` | `string` | 是 | 来源页面的语言代码。 |
| `is_new` | `boolean` | 是 | 该链接是否为上次抓取后新发现的。 |
| `is_lost` | `boolean` | 是 | 该链接是否已从来源页面消失。 |
| `is_broken` | `boolean` | 是 | 链接指向的页面是否已无法访问。 |
| `first_seen_at` | `string` | 是 | 首次发现该链接的时间，使用 ISO 8601 格式。 |
| `last_seen_at` | `string` | 是 | 最近一次确认该链接存在的时间，使用 ISO 8601 格式。 |

以下示例展示任务完成后的响应格式，具体数据以实际查询结果为准。

## 任务完成响应

```json theme={"dark"}
{
  "code": 200,
  "data": {
    "task_id": "example-seo-backlinks",
    "status": "succeeded",
    "public_id": "seo/backlinks",
    "result_count": 1,
    "credits_amount": 10.02,
    "results": {
      "limit": 50,
      "next_cursor": null,
      "has_more": false,
      "schema_id": "backlink",
      "schema_version": "1.0",
      "items": [
        {
          "id": "36af82e3018f12d6387d",
          "platform": "seo",
          "resource": "backlinks",
          "type": "backlink",
          "url": "https://corporate.sarah30.com/",
          "published_at": null,
          "collected_at": "2026-11-17T14:43:18.061725Z",
          "source_url": "https://corporate.sarah30.com/",
          "source_domain": "corporate.sarah30.com",
          "source_title": "SARAH inc.",
          "target_url": "https://www.notion.so/SARAH-97caa9e30b1941cfbacc35558d1af86a",
          "anchor": "採用情報",
          "link_type": "anchor",
          "is_dofollow": true,
          "attributes": [
            "noopener",
            "noreferrer"
          ],
          "rank": 649,
          "source_page_rank": 684,
          "source_domain_rank": 518,
          "spam_score": 40,
          "semantic_location": "nav",
          "language": null,
          "is_new": false,
          "is_lost": false,
          "is_broken": false,
          "first_seen_at": "2021-03-08T21:58:57Z",
          "last_seen_at": "2026-10-24T12:45:53Z"
        }
      ]
    }
  }
}
```


## OpenAPI

````yaml zh/api-manual/agent-api/agent-api.json POST /v1/seo/backlinks
openapi: 3.1.0
info:
  title: SocQ Agent API 中文版
  version: v1-87892a6484c2
  description: 根据 SocQ 能力目录生成的异步社交数据 API。
servers:
  - url: https://api.socq.ai
security: []
paths:
  /v1/seo/backlinks:
    post:
      tags:
        - seo
      summary: 外链明细
      description: 获取指向域名或页面的外链列表。
      operationId: socq_seo_backlinks
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              additionalProperties: false
              properties:
                callback_url:
                  type: string
                  format: uri
                  description: 可选的任务完成回调 URL。
                results_limit:
                  type: integer
                  minimum: 1
                  maximum: 1000
                  default: 100
                  description: 最多保存的结果数，实际结果可能少于该值。
                target:
                  type: string
                  minLength: 1
                  description: 域名、子域名或页面链接，例如 example.com 或 https://example.com/blog/。
              required:
                - target
              description: >-
                通过 target 提供域名、子域名或页面链接。results_limit 默认 100，可填 1–1000
                之间的整数。每次请求收取 10 积分查询基础费，每返回一条外链再加 0.02 积分。
      responses:
        '200':
          description: 任务已受理
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSubmitResponse'
        '422':
          description: Input validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentValidationErrorResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    AgentSubmitResponse:
      type: object
      properties:
        code:
          type: integer
          const: 200
          description: HTTP 业务状态码。
        data:
          type: object
          properties:
            task_id:
              type: string
              description: 任务 ID，用于查询任务状态和结果。
            status:
              type: string
              description: 任务当前状态。
            created_time:
              type:
                - string
                - 'null'
              description: 任务创建时间。
          required:
            - task_id
            - status
    AgentValidationErrorResponse:
      type: object
      properties:
        code:
          type: integer
          const: 422
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
            details:
              type: object
          required:
            - message
            - type
      required:
        - code
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: '使用 `Authorization: Bearer <token>` 请求头进行身份验证。'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 也可以通过 `x-api-key` 请求头提供 API Key。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.